# 使用Python官方镜像作为基础镜像
FROM python:3.8-slim
 
# 设置环境变量 
# 定义时区参数
ENV TZ=Asia/Shanghai
# 设置时区
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo '$TZ' > /etc/timezone
 
# 复制当前目录下的代码到容器内的/app目录
COPY Vw3000  ./app 

# 工作目录设置为/app
WORKDIR /app
 
# 暴露端口
EXPOSE 61005/udp
EXPOSE 61005
EXPOSE 61080
EXPOSE 61081
EXPOSE 61085
EXPOSE 1883


# 运行应用
ENTRYPOINT  ["python","Vw3dock.py"]
